//+------------------------------------------------------------------+
//|                                                 MarktHistory.mq5 |
//|                             Thorsten Fischer Copyright 2019-2020 |
//|                                         https://mql5.tfsystem.de |
//+------------------------------------------------------------------+
#property service
#property copyright "Thorsten Fischer Copyright 2019-2020"
#property link      "https://mql5.tfsystem.de"
#property version   "1.00"
//+------------------------------------------------------------------+
//| Service program start function                                   |
//+------------------------------------------------------------------+
void OnStart()
{
//---
   long d_ChartID;
   int i=0;
   int         d_SymbolAnzahl=SymbolsTotal(false);
   Print(__FUNCTION__+" d_SymbolAnzahl = "+(string)d_SymbolAnzahl);
   string      d_SymbolName[];
   ArrayResize(d_SymbolName,d_SymbolAnzahl);
   while(i<d_SymbolAnzahl && !IsStopped())
      {
         d_SymbolName[i]=SymbolName(i,false);
         Print(__FUNCTION__+" i = "+(string)i+" = "+d_SymbolName[i]+" Bars = "+(string)iBars(d_SymbolName[i],PERIOD_M1));
         //SeriesInfoInteger(d_SymbolName[i],PERIOD_M1,SERIES_SYNCHRONIZED);
         d_ChartID=ChartOpen(d_SymbolName[i],PERIOD_M1);
         //Sleep(1500);
         SeriesInfoInteger(d_SymbolName[i],PERIOD_M1,SERIES_SYNCHRONIZED);
         ChartClose(d_ChartID);
         //Sleep(500);
         i++;
      }
   Print(__FUNCTION__+" i = "+(string)i+" bearbeitet");
}
//+------------------------------------------------------------------+
